[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoEnumFonts

Performs actions needed to get a list of fonts supported for a print device.

## Declaration

Source position: printers.pas line 275

`protected procedure TPrinter.DoEnumFonts(`
`Lst: TStrings`
`); virtual;`

## Arguments

`Lst` |  | TStrings instance where the list of font names is stored.

## Description

DoEnumFonts is a virtual method used to perform actions needed to populate the specified list with font names supported for the selected print device. DoEnumFonts is called from the GetFonts method when the Fonts property is empty.

Remark: | In TPrinter, DoEnumFonts has an empty implementation. It must be overridden in a descendent class to perform actions needed to get the list of font names using the facilities available for the operating system / widgetset / printer-related technology.